<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/scroller_1"
    android:layout_width="match_parent"
    android:layout_height="match_parent" >

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:padding="6dp" >

        <TextView
            android:id="@+id/instruction"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="12dp"
            android:text="Enter values for lighting that will be TURNED ON during peak hours of heating (typically 4-6pm)"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <LinearLayout
            android:id="@+id/horizWrapper"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal" >

            <LinearLayout
                android:id="@+id/bulbWrapper"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:background="@drawable/custom_button_background"
                android:orientation="vertical" >

                <ImageView
                    android:id="@+id/bulb_image"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:src="@drawable/light_bulb" />

                <TextView
                    android:id="@+id/bulb_label"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="4dp"
                    android:gravity="center_horizontal"
                    android:text="Incandescent/Halogen"
                    android:textColor="@color/off_white"
                    android:textSize="14sp" />

                <RadioButton
                    android:id="@+id/bulb_radio"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:checked="true"
                    android:text="" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/cflWrapper"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:background="@drawable/custom_button_background"
                android:orientation="vertical" >

                <ImageView
                    android:id="@+id/cfl_image"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:src="@drawable/light_cfl" />

                <TextView
                    android:id="@+id/cfl_label"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="4dp"
                    android:gravity="center_horizontal"
                    android:text="Flourescent/\nCFL"
                    android:textColor="@color/off_white"
                    android:textSize="14sp" />

                <RadioButton
                    android:id="@+id/cfl_radio"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:text="" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/ledWrapper"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_weight="1"
                android:background="@drawable/custom_button_background"
                android:orientation="vertical" >

                <ImageView
                    android:id="@+id/led_image"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:gravity="center_horizontal"
                    android:src="@drawable/light_led" />

                <TextView
                    android:id="@+id/led_label"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="4dp"
                    android:gravity="center_horizontal"
                    android:text="\nLED"
                    android:textColor="@color/off_white"
                    android:textSize="14sp" />

                <RadioButton
                    android:id="@+id/led_radio"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:text="" />
            </LinearLayout>
        </LinearLayout>

        <RelativeLayout
            android:id="@+id/bulbDataWrapper"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp" >

            <RelativeLayout
                android:id="@+id/wattageWrapper"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="6dp" >

                <TextView
                    android:id="@+id/wattage_label"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignBaseline="@+id/wattage"
                    android:layout_alignParentLeft="true"
                    android:text="Power:"
                    android:textColor="@color/off_white"
                    android:textSize="14sp" />

                <EditText
                    android:id="@+id/wattage"
                    android:layout_width="72dp"
                    android:layout_height="wrap_content"
                    android:layout_alignParentTop="true"
                    android:layout_toRightOf="@+id/wattage_label"
                    android:inputType="number" />

                <TextView
                    android:id="@+id/watts_label"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignBaseline="@+id/wattage"
                    android:layout_toRightOf="@+id/wattage"
                    android:text="Watts"
                    android:textColor="@color/off_white"
                    android:textSize="14sp" />
            </RelativeLayout>

            <RelativeLayout
                android:id="@+id/qtyWrapper"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="6dp" >

                <TextView
                    android:id="@+id/qty_label"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignBaseline="@+id/qty"
                    android:layout_toLeftOf="@+id/qty"
                    android:text="Quantity:"
                    android:textColor="@color/off_white"
                    android:textSize="14sp" />

                <EditText
                    android:id="@+id/qty"
                    android:layout_width="56dp"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_alignParentTop="true"
                    android:inputType="number" />
            </RelativeLayout>
        </RelativeLayout>
    </LinearLayout>

</ScrollView>